

<ion-header translucent="true" class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button slot="start" (click)="canDismiss()">
        <ion-icon name="close-sharp"></ion-icon>
      </ion-button>
    </ion-buttons>

  </ion-toolbar>
</ion-header>
<ion-fab horizontal="end" edge style="position: fixed !important;z-index: 10000 !important;">
  <ion-fab-button size="small">
    <ion-icon name="chevron-down-outline"></ion-icon>
  </ion-fab-button>
  <ion-fab-list side="bottom">
    <ion-fab-button color="tertiary" (click)="toast('middle','Esta característica aún no está disponible.')">
      <ion-icon name="pencil-outline"></ion-icon>
    </ion-fab-button>
    <ion-fab-button color="tertiary" (click)="sendEmail()">
      <ion-icon name="mail"></ion-icon>
    </ion-fab-button>
  </ion-fab-list>
</ion-fab>

<ion-content #Content  class="project-modal background ion-no-padding" scrollEvents="true">

  <div class="project-modal-content">
    <h1 class="title" #title id="title">{{ nombre }}</h1>
    <p style="font-size: x-small;margin-left: 10px;">{{date_start}} {{createdtime}}</p>

    <div class="content">
      <ion-grid style="margin-bottom: 10px;margin-left: 8%;">
        <ion-row>
          <ion-col>
            <div>{{statust}} :</div>
          </ion-col>
          <ion-col [ngSwitch]="status">
            <div *ngSwitchCase="' Finalizado'" style="color: green;">{{ended}}</div>
            <div *ngSwitchCase="' otro'" style="color: yellow;">{{other}}</div>
            <div *ngSwitchDefault style="color: orange;">{{pendant}}</div>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <div>{{location}} :</div>
          </ion-col>
          <ion-col>
            <div>{{project.cf_4180}} </div>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <div>{{startfairdate}} :</div>
          </ion-col>
          <ion-col>
            <div>{{project.cf_1963}} </div>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <div>{{endfairdate}} :</div>
          </ion-col>
          <ion-col>
            <div>{{project.cf_2030}} </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    <ng-template #loading>
      <!-- LOADING... -->
    </ng-template>

      <br>

        <div class="ion-padding" style="border-radius: 15px;background: #2a2e30; margin-left: 0px; margin-right: 0px;color: white;">
          <h1 class="titles">{{planost}}</h1>
          <ion-card style="padding: 20px;margin-bottom: 10%;">
          <ion-row>
            <ion-col size="7" >
              {{statust}}
            </ion-col>
            <ion-col>
              <a [ngSwitch]="planos">
                <a *ngSwitchCase="' Pendiente aprobar preco'">
                       <span class="validar">{{pendantaprobeprice}}</span>
                </a>
                <a *ngSwitchCase="' Planos pendientes de enviar'">
                  <span class="validar">{{bleupritnsinproces}}</span>
                </a>
                <a *ngSwitchCase="' Planos pendientes de aprobacion'">
                  <span class="validar">{{bleupritnsinproces}}</span>
                </a>
                <a *ngSwitchCase="' Planos aprobados'">
                  <span style="color: green;">{{aprobed}}</span>
                </a>
                <a *ngSwitchCase="' Planos no conformes'">
                  <span class="validar">{{bleupritnsinproces}}</span>
                </a>
                <a *ngSwitchCase="' Solo telas'">
                  <span class="validar">{{blueprintinprogress}}</span>
                </a>
                <a *ngSwitchDefault>
                       {{notype}}
                </a>
              </a>
            </ion-col>
          </ion-row>
        </ion-card>

          <h1 class="titles"><ion-row>{{hiring}}
            <ion-buttons>
              <ion-button (click)="presentAlert(hiring,hiringalerttext)">
                <ion-icon size="small" name="help-circle-outline">
                </ion-icon>
              </ion-button>
            </ion-buttons>
          </ion-row></h1>
        <ion-row>
          <!-- <ion-col size="7">
            2 Fase contrataciones - inutiles
            statust contrataciones: pendiente, planos aprobados, confirmadas
            statust contrataciones:
          </ion-col>
          <ion-col>
            {{project.cf_2987.slice(2)}}
          </ion-col> -->
        </ion-row>
        <ion-card class="ion-padding">
          <h1><ion-row>
            {{water}}
            <ion-buttons>
              <ion-button (click)="presentAlert(water,wateralerttext)">
                <ion-icon size="small" name="help-circle-outline" >
                </ion-icon>
              </ion-button>
            </ion-buttons>
          </ion-row></h1>
          <ion-row>
            <ion-col size="7">
              {{statust}}
            </ion-col>
            <ion-col>
              <a *ngIf="project.cf_4016;else no">{{project.cf_4016.slice(2)}}</a>
            </ion-col>
          </ion-row>
          <div *ngIf="project.cf_4016;">
            <ion-row>
              <ion-col size="7">
                {{ispaid}}
              </ion-col>
              <ion-col>
                <a *ngIf="project.cf_3009;else no">{{done}}</a>
              </ion-col>
            </ion-row>
          </div>
        </ion-card>
        <!-- Canon switch statust cf_4020
              No necesaria
              Pendiente contratar
              Tramite
              Confirmada - pendiente de pago(envio cliente)
              Pagada - justificante de pago
        -->
        <ion-card class="ion-padding">
          <h1><ion-row>   {{canon}}
           <ion-buttons>
            <ion-button (click)="presentAlert(canon,canonalerttext)">
              <ion-icon size="small" name="help-circle-outline" >
              </ion-icon>
            </ion-button>
          </ion-buttons>
          </ion-row>
        </h1>
          <ion-row>
            <ion-col size="7">
              {{statust}}
            </ion-col>
            <ion-col>
              <a *ngIf="project.cf_4022;else no">
                <a [ngSwitch]="project.cf_4022.slice(2)">
                <div *ngSwitchCase="' Tramite'" style="color: orange;">{{intramit}}</div>
                <div *ngSwitchCase="' Pendiente contratar'" style="color: rgb(128, 0, 0);">{{pendant}}</div>
                <div *ngSwitchCase="' Pagada'" style="color: green;">{{paid}}</div>
                <div *ngSwitchCase="' Confirmada'" style="color: rgb(109, 128, 0);">{{confirmed}}</div>
                <div *ngSwitchDefault style="color: orange;">{{inprogrest}}</div>
                </a></a>
            </ion-col>
          </ion-row>
          <div *ngIf="project.cf_4022;">
            <ion-row>
              <ion-col size="7">
                {{ispaid}}
              </ion-col>
              <ion-col>
                <a *ngIf="project.cf_3001;else no">{{done}}</a>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="7">
                {{limitdate}}
              </ion-col>
              <ion-col>
                {{project.cf_2957}}
              </ion-col>
            </ion-row>
          </div>
        </ion-card>


        <ion-card class="ion-padding">
          <h1>
            <ion-row>{{comprimedair}}
              <ion-buttons>
                <ion-button (click)="presentAlert(comprimedair,compairalerttext)">
                  <ion-icon size="small" name="help-circle-outline" >
                  </ion-icon>
                </ion-button>
              </ion-buttons>
            </ion-row>
          </h1>
          <ion-row>
            <ion-col size="7">
              {{statust}}
            </ion-col>
            <ion-col>
              <!-- 6 aire comprimido
                      Pendiente - si
                      Tramite -
                      Confirmada -
                      A cargo del cliente
                      No necesario -->
              <a *ngIf="project.cf_4018;else no">
                <a [ngSwitch]="project.cf_4018.slice(2)">
                <div *ngSwitchCase="' Tramite'" style="color: orange;">{{intramit}}</div>
                <div *ngSwitchCase="' Pendiente'" style="color: rgb(128, 0, 0);">{{pendant}}</div>
                <div *ngSwitchCase="' A cargo del cliente'" style="color: green;">A cargo del cliente</div>
                <div *ngSwitchCase="' Confirmada'" style="color: green;">{{confirmed}}</div>
                <div *ngSwitchDefault style="color: orange;">{{inprogrest}}</div>
                </a>
              </a>
            </ion-col>

          </ion-row>
          <div *ngIf="project.cf_4018;">
            <ion-row>
              <ion-col size="7">
                {{ispaid}}
              </ion-col>
              <ion-col>
                <a *ngIf="project.cf_3017;else no">{{done}}</a>
              </ion-col>
            </ion-row>
          </div>
        </ion-card>

        <ion-card class="ion-padding">
          <h1>
            <ion-row>
              {{electricity}}
              <ion-buttons>
                <ion-button (click)="presentAlert(electricity,electalerttext)">
                  <ion-icon size="small" name="help-circle-outline" >

                  </ion-icon>
                </ion-button>
              </ion-buttons>
            </ion-row>
          </h1>
          <ion-row>
            <ion-col size="7">
              {{statust}}
            </ion-col>
            <ion-col>
                <!-- statust switch:
                      4 electrica
                      Pendiente - si
                      Tramite -
                      Confirmada -
                      A cargo del cliente
                      No necesario
                -->
              <a *ngIf="project.cf_4022;else no">
                <a [ngSwitch]="project.cf_4022.slice(2)">
                <div *ngSwitchCase="' Tramite'" style="color: orange;">{{intramit}}</div>
                <div *ngSwitchCase="' Pendiente'" style="color: rgb(128, 0, 0);">{{pendant}}</div>
                <div *ngSwitchCase="' A cargo del cliente'" style="color: green;">{{clientcharge}}</div>
                <div *ngSwitchCase="' Confirmada'" style="color: green;">{{confirmed}}</div>
                <div *ngSwitchDefault style="color: orange;">{{inprogrest}}</div>
              </a>
            </a>
            </ion-col>
          </ion-row>
          <div *ngIf="project.cf_4022;">
            <ion-row>
              <ion-col size="7">
                {{ispaid}}
              </ion-col>
              <ion-col>
                <a *ngIf="project.cf_3001;else no">{{done}}</a>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="7">
                {{limitdate}}
              </ion-col>
              <ion-col>
                {{project.cf_2957}}
              </ion-col>
            </ion-row>
          </div>
        </ion-card>

        <ion-card class="ion-padding">
          <h1>
            <ion-row>
              Rigging
              <ion-buttons>
                <ion-button (click)="presentAlert('Rigging',riggingalerttext)">
                  <ion-icon size="small" name="help-circle-outline" >
                  </ion-icon>
                </ion-button>
              </ion-buttons>
            </ion-row>
          </h1>
          <ion-row>
            <ion-col size="7">
              {{statust}}
            </ion-col>
            <!--
            Switch rigging statust
            No necesario
            Pendiente
            En tramite ( con feria )
            Pendiente aprobacion (confirmado)
            Pagada ( con justificante de pago )
            -->
            <ion-col>

              <a *ngIf="project.cf_4024;else no">
                <a [ngSwitch]="project.cf_4024.slice(2)">
                  <div *ngSwitchCase="' En tramite'" style="color: orange;">{{intramit}}</div>
                  <div *ngSwitchCase="' Pagada'" style="color: rgb(128, 0, 0);">{{paid}}</div>
                  <div *ngSwitchCase="' necesaria'" style="color: green;">{{needed}}</div>
                  <div *ngSwitchDefault style="color: orange;">{{inprogrest}}</div>
                </a>
              </a>
            </ion-col>
          </ion-row>
          <div *ngIf="project.cf_4024;">
            <ion-row>
              <ion-col size="7">
                {{ispaid}}
              </ion-col>
              <ion-col>
                <a *ngIf="project.cf_2995;else no">{{done}}</a>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="7">
                {{limitdate}}
              </ion-col>
              <ion-col>
                {{project.cf_2955}}
              </ion-col>
            </ion-row>
          </div>
        </ion-card>


          <h1 class="titles">
            <ion-row>
            {{graphicarts}}
            <ion-buttons>
              <ion-button (click)="presentAlert(graphicarts,graphartsalerttext)">
                <ion-icon size="small" name="help-circle-outline" >
                </ion-icon>
              </ion-button>
            </ion-buttons>
            </ion-row>
            </h1>

          <ion-card style="padding: 20px;">
            <ion-row>
            <ion-col size="7">
              {{endarts}}:
            </ion-col>
            <ion-col [ngSwitch]="project.cf_3137.slice(2)">
              <div *ngSwitchCase="' Pendiente solicitar imagenes'" style="color: rgb(128, 0, 0);">Pendiente recibir imagenes</div>
              <div *ngSwitchCase="' Pendiente recibir imagenes'" style="color: rgb(128, 0, 0);">Pendiente recibir imagenes</div>
              <div *ngSwitchCase="' Pendiente confirmar miniaturas'" style="color: rgb(128, 0, 0);">Pendiente confirmar miniaturas</div>
              <div *ngSwitchCase="'- OT pasada a WOOW'" style="color: green;">{{ended}}</div>
              <div *ngSwitchCase="''">{{notneeded}}</div>
              <div *ngSwitchDefault style="color: orange;">{{inprogrest}}</div>
            </ion-col>
          </ion-row>
          </ion-card>
<!--           <ion-row>
            <ion-col size="7">
                Fecha maxima:
            </ion-col>
            <ion-col>
                {{project.cf_3211}}
            </ion-col>
          </ion-row> -->

          <!-- <h3>Diseños</h3>
          <ion-card>
            <ion-item lines="none">
              <ion-icon slot="start" size="small" name="document-attach"></ion-icon>
              <ion-text>Diseño 1</ion-text>
              <ion-icon slot="end" size="small" name="star-outline"></ion-icon>
            </ion-item>
          </ion-card>
          <ion-card>
            <ion-item lines="none">
              <ion-icon slot="start" size="small" name="document-attach"></ion-icon>
              <ion-text>Diseño 2</ion-text>
              <ion-icon slot="end" size="small" name="star-outline"></ion-icon>
            </ion-item>
          </ion-card>
          <ion-card>
            <ion-item lines="none">
              <ion-icon slot="start" size="small" name="document-attach"></ion-icon>
              <ion-text>Diseño 3</ion-text>
              <ion-icon slot="end" size="small" name="star"></ion-icon>
            </ion-item>
          </ion-card> -->
<!--           <ion-row>
              <p>Que necesita ver el cliente:</p>
              <p>Diseño enviado por mail.(archivo crm)</p>
              <p>(statust diseño)</p>
              <p>Pendiente</p>
              <p>Enviado -> notificación que ha recibido.</p>
              <p>Presupuesto en proceso (dextail externo)</p>
              <p> Aceptado(dextail externo)</p>

              <p>Systema documentos: </p>
              <p> Ordenado por propuesta (a,b,c)</p>
              <p> (Diseño)</p>
              <p> (Imagenes cliente)</p>
              <p> Añadir diseño final como opción </p>
              <p>Diseño descargar desde </p>
            </ion-row> -->

        <ng-template #no>{{nocontract}}</ng-template>
        <!-- <h1>Presupuesto</h1>

      <ion-card class="ion-padding">

        <p> Presupuesto final</p>
        <p> Ultimo es el bueno(vigente)</p>
        <p> Fase presupuesto</p>
        <p> Mostramos cuando este entregado = subida presupuesto más reciente.</p>
      </ion-card> -->
    </div>
    <div class="form-div">
      <form class="form" [formGroup]="commentForm" (ngSubmit)="setCommentData(commentForm.value)">
        <h1>{{commentst}}</h1>

        <ion-item>

          <ion-input type="text" formControlName="comment" placeholder="{{comentsplaceholder}}"></ion-input>
          <ion-button slot="end" type="submit" expand="block" [disabled]="!commentForm.valid" style="margin-top: 15px;">
            <ion-icon name="save-outline"></ion-icon>
          </ion-button>
        </ion-item>
        <div *ngFor="let error of error_msg.comment">
          <div
            *ngIf="commentForm.get('comment').hasError(error.type) && (commentForm.get('comment').dirty || commentForm.get('comment').touched)">
            <div *ngIf="language === 'es'"><i style="color: red;font-size: small;">{{ error.message_es}}</i></div>
            <div *ngIf="language === 'en'"><i style="color: red;font-size: small;">{{ error.message_en}}</i></div>

          </div>
        </div>

        <label class="ion-text-center" color="danger">{{errorMsg}}</label>
        <label class="ion-text-center" color="success">{{successMsg}}</label>
      </form>

    <ion-list *ngFor="let comment of commentsArray">
      <ion-item>
        <ion-avatar slot="start">
          <img src="./assets/images/default-avatar-300x300-1.jpg" />
        </ion-avatar>
        <ion-label>
          <h3>{{comment.username}}</h3>
          <h2>{{comment.comment}}</h2>
          <p style="font-size: xx-small;">{{lastedit}}: {{comment.lastEdit}}</p>
        </ion-label>
      </ion-item>
    </ion-list>
    </div>
  </div>
</div>
  <br><br><br><br>
</ion-content>

<ion-footer lines="none">


  <div class="ion-padding"  position style="margin-bottom:2px;background: #2a2e30;color: white; width: 97%;z-index: 999;border-radius: 10px;
                                            margin-left: 1.5%;margin-right: 1.5%;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
                                            -moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);
                                            box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.75);padding:0px !important;">
    <ion-item lines="none" class="ion-no-padding">
    <!-- <ion-img slot="start" src="./assets/images/start.png" class="left" ></ion-img> -->
    <ion-img slot="end" src="./assets/images/finish.png" class="right" ></ion-img>
    <ion-progress-bar class="ion-no-padding" style="padding:0px !important;margin-left: 30px;" color="primary" value="{{statusvar}}"></ion-progress-bar>
  </ion-item>
  </div>
</ion-footer>
